(function($) {
/**
 *  タイムカード文言
 *
 * @class タイムカード文言
 */
    desknets.Resource.tcard = {
        //------------------------------------------
        // 設定確認
        //------------------------------------------
        'set_nochecked': 'Specify the target.' ,
        'set_allconf'  : 'Are you sure you want to apply it to all?' ,
        'set_someconf' : 'Are you sure you want to apply it to {{count}} items displayed on the screen?' ,
        'set_listconf' : 'Are you sure you want to apply it to {{count}} items you selected?' ,
        //------------------------------------------
        // 事由関連
        //------------------------------------------
        'absence_normal'  : 'Absence' ,
        'absence_condole' : 'Paid Leave' ,
        'absence_paid'    : 'Annual Leave' ,
        'absence_compen'  : 'Compensation' ,
        'absence_other'   : 'Other',
        //------------------------------------------
        // 出社状況・退社状況
        //------------------------------------------
        'time_late'      : 'Late' ,
        'time_early'     : 'Early' ,
        'time_approval'  : 'Authorized' ,
        //------------------------------------------
        //
        //------------------------------------------
        'time_noinput' : 'N/A' ,
        //------------------------------------------
        // 承認ボタン
        //------------------------------------------
        'late_on'        : 'Lateness',
        'late_off'       : 'Not Lateness',
        'leaveearly_on'  : 'Earliness',
        'leaveearly_off' : 'Not Earliness',
         //------------------------------------------
         // 詳細ダウンロード選択ダイアログ
         //------------------------------------------
         'detailDownloadDialogTitle'  : 'Download Details',  // タイトル
         'detailDownloadButtonOk'     : 'OK',              // ボタンタイトル：Ok
         'detailDownloadButtonCancel' : 'Close',            // ボタンタイトル：Cancel
         //------------------------------------------
         // 打刻IPアドレス設定
         //------------------------------------------
         'input_incorrect'        : 'Invalid input data.',
         //------------------------------------------
         // 就業実績の再集計
         //------------------------------------------
         'processing_datetime'    : 'Processed Date: ',
         'tcard_total_error'      : 'The following error occurred in resummarizing working records.',
         'tcard_total_nomal'      : 'Resummarizing working records was terminated normally.',
         //------------------------------------------
         // 印刷
         //------------------------------------------
         'print_title'            : 'Time Sheet',
         'create'                 : ' Created',
         'username'               : 'Name',
         'groupname'              : 'Group',
         'total_workday'          : 'Work',
         'total_overday'          : 'Overtime',
         'total_restday'          : 'Work on Hol.',
         'total_late'             : 'Late',
         'total_leaveearly'       : 'Early',
         'total_absence'          : 'Absence',
         'total_congorcond'       : 'Paid Leave',
         'total_paidvacation'     : 'Annual Leave',
         'total_compeholiday'     : 'Compensation',
         'total_other'            : 'Other',
         'total_nodata'           : 'No Records',
         'total_day'              : 'Date',
         'total_time'             : 'Time',
    };
})(jQuery);
